import { CHANGE_INITIAL_PAID } from '@/constants/actionTypes'
import { SET_PAID_TOTAL } from '@/constants/mutationTypes'

const initialState = {
    paidTotal: 0,
    paymentsReturned: 0,
    paymentsResidual: 0

}
const state = {
    paidTotal: initialState.paidTotal,
    paymentsReturned: initialState.paymentsReturned,
    paymentsResidual: initialState.paymentsResidual
}
const getters = {
    /**
     * [paidTotal description]
     * @method paidTotal
     * @param  {[type]}     state [description]
     * @return {[type]}     [description]
     */
    paidTotal (state) {
        return state.paidTotal
    },
    /**
     * [paymentsReturned description]
     * @method paymentsReturned
     * @param  {[type]}         state [description]
     * @return {[type]}               [description]
     */
    paymentsReturned (state) {
        return state.paymentsReturned
    },
    /**
     * [paymentsResidual description]
     * @method paymentsResidual
     * @param  {[type]}         state [description]
     * @return {[type]}               [description]
     */
    paymentsResidual (state) {
        return state.paymentsResidual
    }
}
const mutations = {
    /**
     * [paidTotal description]
     * @type {[type]}
     */
    [SET_PAID_TOTAL] (state, payload) {
        state.paidTotal =payload
    }
}
const actions = {
    /**
     *
     */
    [CHANGE_INITIAL_PAID] ({ commit },payload) {
        commit(SET_PAID_TOTAL, payload)
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}
